import SwiftUI

struct BlinkingDotView: View {
    let blink: Bool
    
    @State private var isBlinking = false
    
    var body: some View {
        Circle()
            .frame(width: 32, height: 32)
            .foregroundColor(isBlinking ? .yellow : .white)
            .overlay(
                Circle()
                    .stroke(Color.black, lineWidth: 2)
            )
            .onAppear {
                withAnimation(Animation.timingCurve(1, 0, 0, 1, duration: 0.6).repeatForever(autoreverses: true)) {
                    if blink {
                        isBlinking.toggle()
                    }
                }
            }
    }
}

#Preview {
    BlinkingDotView(blink: true)
}
