import SwiftUI

struct CloseButton: View {
    let color: Color
    let onClick: () -> ()
    
    var body: some View {
        Button {
            onClick()
        } label: {
            Image(systemName: "xmark")
                .foregroundStyle(color)
                .fontWeight(.bold)
                .font(.footnote)
        }
        .buttonStyle(.bordered)
        .clipShape(Circle())
    }
}

#Preview {
    CloseButton(color: .gray) {
        
    }
}
