import SwiftUI

struct LandmarkView: View {
    let landmark: Landmark
    let size: Double
    
    var body: some View {
        if landmark.kind != nil {
            ZStack {
                RoundedRectangle(cornerRadius: 4)
                    .frame(width: 16, height: 16)
                    .foregroundColor(landmark.color)
                
                Image(systemName: landmark.icon)
                    .resizable()
                    .scaledToFit()
                    .frame(width: 10, height: 10)
                    .foregroundColor(.white)
            }
        } else {
            ZStack {
                Circle()
                    .fill(Color(.secondarySystemBackground))
                    .frame(width: size, height: size)
                    .shadow(radius: 5)
                Image(landmark.name)
                    .resizable()
                    .scaledToFit()
                    .frame(width: size - 2, height: size - 2)
                    .clipShape(Circle())
            }
        }
    }
}
