import SwiftUI
import MapKit

struct StopDot: MapContent {
    let stop: Stop
    let size: Double
    let compact: Bool
    
    var circle: some View {
        Circle()
            .frame(width: size, height: size)
            .foregroundColor(.white)
            .overlay(
                Circle()
                    .stroke(Color.black, lineWidth: 2)
            )
    }
    
    var body: some MapContent {
        Annotation(stop.name, coordinate: stop.position) {
            if compact {
                Circle()
                    .foregroundStyle(.white)
                    .frame(width: 4, height: 4)
            } else {
                circle
            }
        }
    }
}

#Preview {
    Map {
        StopDot(stop: Stop(
            id: 0,
            name: "Durandy",
            position: .init(latitude: 43.701212947426484, longitude: 7.272625813045775)),
            size: 16,
            compact: false)
    }
}
